Subject: bug#38658: perl-mode: EOF in same color as here doc text

From: Stefan Monnier <[email-masked]>
Date: Thu, 06 Aug 2020 10:39:00 -0400

First, I'll note that all the rest of font-lock highlights the comment
and string delimiters the same as the comment and string contents,
except for the `font-lock-comment-delimiter-face`, so you might like to
check how `font-lock-comment-delimiter-face` is done.

> We apparently want to put that syntax on at the end of the heredoc, but
> stop fontifying at the start of the final EOF.

Rather than "not fontify" the delimiter, I think it'll be much easier to
add extra fontification to it.

        Stefan